use cli::Command;

pub mod api;
pub mod app;
pub mod cli;
pub mod grpc;
pub mod services;

pub async fn run() -> anyhow::Result<()> {
    dotenv::dotenv().ok();

    rustls::crypto::ring::default_provider()
        .install_default()
        .expect("Failed to install rustls crypto provider");

    Command::run().await?;

    Ok(())
}
